import { Routes } from '@angular/router';
import { HotelDetailsComponent } from './hotel-details/hotel-details.component';
import { HotelListComponent } from './hotel-list/hotel-list.component';
import { HotelFormComponent } from './hotel-form/hotel-form.component';
import { formGuard } from './form.guard';
import { NotFoundComponent } from './not-found/not-found.component';

export const routes: Routes = [
  {
    path: "",
    component: HotelListComponent,
  },
  {
    path: "hotels/:id",
    component: HotelDetailsComponent,
    canDeactivate: [formGuard],
  },
  {
    path: "create-hotel",
    component: HotelFormComponent,
    canDeactivate: [formGuard],
  },
  {
    path: "**",
    component: NotFoundComponent,
  },
];
