import { CanDeactivateFn } from '@angular/router';
import { HotelFormComponent } from './hotel-form/hotel-form.component';
import { HotelDetailsComponent } from './hotel-details/hotel-details.component';

export const formGuard: CanDeactivateFn<HotelFormComponent | HotelDetailsComponent> = (component: HotelFormComponent | HotelDetailsComponent, currentRoute, currentState, nextState) => {
  const hasUnsavedChanges = 
    (component instanceof HotelFormComponent && component.form?.dirty) ||
    (component instanceof HotelDetailsComponent && component.hotelForm?.form?.dirty);

  if (hasUnsavedChanges) {
    return confirm('You have unsaved changes. Do you really want to leave?');
  }

  return true;
};
