import { HttpClient } from '@angular/common/http';
import { Component, OnInit, ViewChild } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Hotel } from '../hotel-item/hotel';
import { NgIf } from '@angular/common';
import { catchError, EMPTY } from 'rxjs';
import { HotelFormComponent } from "../hotel-form/hotel-form.component";

@Component({
  selector: 'app-hotel-details',
  standalone: true,
  imports: [HotelFormComponent, NgIf],
  templateUrl: './hotel-details.component.html',
  styleUrl: './hotel-details.component.css'
})
export class HotelDetailsComponent implements OnInit {
  public hotel: any;

  @ViewChild('hotelForm', { static: false })
  public hotelForm!: HotelFormComponent;

  constructor(private route: ActivatedRoute, private http: HttpClient, private router: Router) { }

  ngOnInit(): void {
    const routeParams = this.route.snapshot.paramMap;
    const hotelId = routeParams.get("id");

    this.http.get<Hotel>("api/hotels/" + hotelId).pipe(
      catchError(() => {
        alert("Not Found");
        this.router.navigate(["/"]);

        return EMPTY;
      })
    ).subscribe(res => {
      this.hotel = res;
    })
  }
}
