import { NgFor, NgIf, UpperCasePipe } from '@angular/common';
import { Component, inject } from '@angular/core';
import { TextPipe } from '../../text.pipe';
import { SearchComponent } from '../search/search.component';
import { HotelService } from '../service/hotel.service';
import { Hotel } from '../hotel-item/hotel';
import { HttpClient } from '@angular/common/http';
import { HotelItem } from '../hotel-item/HotelItem.component';
import { RouterLink } from '@angular/router';
import { MatButtonModule } from '@angular/material/button';

@Component({
  selector: 'app-hotel-list',
  standalone: true,
  imports: [UpperCasePipe, TextPipe, SearchComponent, HotelItem, NgFor, NgIf, RouterLink, MatButtonModule],
  templateUrl: './hotel-list.component.html',
  styleUrl: './hotel-list.component.css'
})
export class HotelListComponent {
  public search: string = "";
  public hotelService: HotelService = inject(HotelService);
  public response: any = null;
  public hotels: Array<Hotel> = [{} as Hotel];

  constructor (private http: HttpClient) {
  }

  ngOnInit() {
    this.http.get<Array<Hotel>>("api/hotels").subscribe(res => {
      this.hotels = res;
    });
  }
}
